--[[
This file is part of POCA - a puzzle game

POCA is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
]]


-- These hints are shown when using The Book of Hints

hints = {
['0000001000C00000'] = '6',
['00Z010C002000000'] = '49',
['11C2002110002012'] = '0fc3167e8',
['0112002020100020'] = '31628ea',
['1002120100211101'] = 'c30547fdab',
['ZJ06CJ060J650J60'] = 'ea370b',
['6656650050506005'] = 'f3015a248c',
['6660060006000000'] = '1f9502',
['5556600650065566'] = 'f17cde84b023',
['6666000006000600'] = '2616d903',
['0000065605650656'] = '159defb76a',
['0Z00404000000400'] = 'd164',
['0003000003033030'] = '9ceb13',
['0040004004440000'] = 'ab269',
['0040040003303003'] = 'fc52a9',
['003403003J000300'] = '98d523',
['3003000033000303'] = '093fd8',
['4000040040004404'] = 'df508c',
['4404004004440004'] = 'bfa06139',
['3003330000403044'] = '0ac3e45f',
['0000000100001818'] = 'f72dcfde',
['0020077000200007'] = '52f5af56',
['Z020871200800201'] = '7df452454a645045a',
['R810C02009080201'] = 'dbf101b96121b9',
['7080020000000007'] = '2f05f20',
['8108000000200007'] = '3fa3f3013f0',
['0001063001503000'] = '3a9c605',
['0000303033350303'] = '9d6fdab84',
['0003080004803000'] = '5ca35a9',
['C00C84180000H000'] = '1) 7464c4c\n2) a45a746794c7',
['6DD68C6D060D3006'] = 'd9463940cf4',
['8000000018700502'] = '69af0989ad09a',
['6004920653004442'] = 'fa003c5ee7d4698084',
['003001A700300000'] = '65ff67a6672',
['0406480080037060'] = '5518548e558cb358c',
['8606006006734030'] = 'a60c19beaa03',
['03D63560D6130030'] = '030b0ea6a9a541',
['IIIII5I5IIIII5I5'] = 'aefe8cdc8989abab23032101767654',
['02119003R3019644'] = '1) fb4134e427d8 2) fb4134e42744dc49',
['6402206064264804'] = '4d0df8dca63d91bd',
['00200401203J0006'] = 'ef5872a',
['4444465445644444'] = '30cfb24817ed956a',
['Z104020010004003'] = 'The genie from the red box should turn the yellow arrows.',
['0700003003000070'] = 'if lower rotates first: 000e1916e\nif upper rotates first: 0001e6e91',
['3360335656330533'] = 'Eliminate 0 and f first, then 1/4 or 9/e (one at each side, in situation when an arrow on that side has turned). When 3 yellow arrows are left, luck is no longer needed.',
['700003J00330P007'] = 'without genie and purple empty: 3c0f990f50fa0f6 (this is a purple switch)',
['2000020055PJQ000'] = 'purple empty: b0bae8c59\npurple full: f0f8cae59 (gift opens)',
['0002121124000020'] = 'e56378a49 (can\'t pass with genie)',
['3636636335355353'] = 'c3e10d092f6a07b485',
['3335300530033335'] = 'cb83d301274ef',
['H0IH00H00530740H'] = '68680d4f3838c9052fa2c',
['400J000440030340'] = '08deb73',
['200040030b100420'] = 'e9ad7904',
['b0000k0000j0000b'] = 'ff05a',
['000j064006400708'] = 'f354f3ff9da6fd,',
['0b000ab00a0b0a00'] = '6d6bd5599b1',
['jjjj0110jjjj0Z00'] = '61199bb5d832a0',
['44jjjj4jj4jj4j44'] = '9ed6cf012233bb44d58a7',
['0000aaa0lb800000'] = '4a9945a885a68',
['aa55al00la00al33'] = '8e8f8389921844158008cc85d',
['0l006b60j60l6j60'] = '797b2b835b74e65b8c1db',
['QQPPQPQPPQPQPPQQ'] = 'purple empty: 03fc2bd47e8156a9\npurple full: 30cfb24de7189a65',
['0n0nmmnn0nmmmnnZ'] = 'purple empty: b93ba59e6a3e617cd571dc4\npurple full: c9c4914b16bd65d75e73ea3a',
['Q00000Q0P0Q0P000'] = 'purple empty: 6c8a0\npurple full: c6a80\n(this is a purple switch)',
['0PQP0QmQ0PmP0QmQ'] = 'purple empty: 3ed1fe67652b9a\npurple full: ed3f12e676b95a',
['Q0mn0mZPQPm0Q0QQ'] = '5c5ef08732923a (this is a purple switch)',
['00P00Q0PP0P00QQ0'] = '7258dea, purple turned: 872de5a (this is a purple switch)',
['00P0QPQ0mPPPmPnm'] = 'purple full: b29aa848d5ff6ec',
['00000P0PQ0000QP0'] = 'purple full: 7ed85\n(this is a purple switch)',
['nnnnnnnnnnnnnnnn'] = 'purple empty: 06677bbddee9290ff5cc354321aa148\npurple full: 03dda53b5b1ca602c27e197f9e48f468',
['Q0010PP02012Q0P0'] = 'e8b360a5c\n(this is a purple switch)',
['0P0PP5650P5000P0'] = '5878a841e9736 (only when purple empty)\n(this is a purple switch)',
['4003000700000008'] = 'f755f03f7',
['3n023j30jnn31n3P'] = 'purple empty: face63b4a99dd0815\npurple full: ddface63b41a10589',
['mhj3j0k0Z907f0kn'] = 'purple empty: 0093f9449ccb962b29b6f9be19b\npurple full: ff0939cc9449b6292b9609be19b',
['004I4HHIIHIH0IJI'] = 'b54f3fb23567679a98bab8dd',
['Q65QQ5Q5QQ56Q565'] = 'purple empty: 0389f42ea47d56cb1\npurple full: f389f47eae2da65b01c\n(this is a purple switch)',
['4mmPbnPn008P8h4a'] = '5a63ab5c0cfdcd55c4cfcd4a6ecda721cda\n(only when purple empty; this is a purple switch)',
['0CJ2cj74J8Jj4jJ8'] = 'cf6b6fb6494af6494df696d36955f769f6',
['8J8J7J7JJ878NJ8J'] = '0246900',
['00000J0J00D00J0Z'] = '5f7e7d',
['00D00J0JJ0J00J0J'] = '5d78fa',
['40440K000C040004'] = '0bf2 ... To avoid letting the genie out, destroy box.',
['0004040J00J44J44'] = 'eliminate gifts before it\'s too late',
['5500403065000510'] = 'without genie: fde068419 *',
['0000412030506780'] = 'without genie: 367ed45eceda8ed *',
['IIII278100601218'] = '1d3fef4fcf6765652f656a650f65 *',
['4DI44HDDIDDID4HD'] = '0d3dbde5482',
['007800044200810Z'] = 'without genie: 932cc3d1c327c3c2832c *',
['0000002002J20020'] = 'the page is missing',
['0JI00IH0IIII0IJI'] = 'without genie: 3292b8b835353d3d3f3f3a3a96a6',
['000J00008780J0J0'] = '8a985a8a9e3a89cd8a9\none combination with genie: 8a9e3a89c58a9',
['000J020100000502'] = '850f7d',
['0000683000001001'] = 'cf5456\nwith genie: ff545c6\npill: 4169cd44d5f',
['0000070330300307'] = 'can only pass with genie\ntry to remove 7 first',
['10100J00P0P00000'] = 'can\'t pass without turning purple (past gates)',
['Z87Z807000080Z8Z'] = 'can\'t pass',
['1ZV453622Y014X3W'] = 'the page is missing',
['2V1JJ2031W10J3Z2'] = 'the page is missing',
['VW55VW6336YX35YX'] = '8cd37629',
['46002XY00WV10035'] = '2b1ef40 (can\'t go right)',
['3001Z0W00V8X50Y1'] = 'the page is missing',
['01100530J16JJJJJ'] = '01a93625',
['0464424WV0X64Y20'] = '3efbb54c27ad816',
['53W1333XV3304Y02'] = '5f51f0ca4369',
['3X4V14306W6175Y4'] = '8fbfac6524de1c930c',
['53353VW53YX35335'] = '04c8d8fb8782e13',
['12102408181JJJJJ'] = '12409a7998795',
['203J0303303JJJ2J'] = '50ea872',
['35W0535XV5350Y53'] = 'bf10353a964e',
['242Z4WX11VY40242'] = 'the page is missing',
['J18JZ4082563J25J'] = 'the page is missing',
['JJX5806400057JZ0'] = 'the page is missing',
}
